# module Raven::Utils::RequestId

### Constants

REQUEST_ID_HEADERS

### Public Class Methods

read_from(env_hash) click to toggle source

Request ID based on ActionDispatch::RequestId

    # File sentry-raven/lib/raven/utils/request_id.rb, line 7
    def self.read_from(env_hash)
      REQUEST_ID_HEADERS.each do |key|
        request_id = env_hash[key]
        return request_id if request_id
      end
      nil
    end